body, html {
    overflow-x: hidden;
    height: 100%;
    margin: 0;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.a {
    color: darkslategrey;
}

.sidebar {
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 16.6667%; /* odpowiada col-lg-2 */
    background-color: black;
    z-index: 1030; /* powyżej zawartości */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.sidebar .menu-btn {
    background-color: #7fffe0;
    color: black;
    text-align: center;
    padding: 10px 15px;
    border-radius: 10px;
    margin: 10px 0;
    width: 80%;
    text-decoration: none;
    font-weight: 500;
}

.sidebar .menu-btn:hover {
    background-color: #6ef2d2;
    text-decoration: none;
    color: black;
}

@media (min-width: 992px) {
    .main-content {
        margin-left: 16.6667%; /* tyle co sidebar */
        background-image: linear-gradient(#ffff, #89ffea, #ffff);
    }
}

.logo-wide {
    max-width: 400px;
    border-radius: 30px;
}

.logo-narrow {
    max-height: 60px;
}

.main-content {
    min-height: 100vh;
    background-color: white;
}

.search-bar {
    width: 90%;
    max-width: 400px;
}

.input-group-text {
    background-color: white;
    border-right: 0;
}

.form-control {
    border-left: 0;
    border-radius: 0 20px 20px 0;
    height: 45px;
}

.input-group {
    border: 1px solid #ccc;
    border-radius: 25px;
    overflow: hidden;
}

.btn-turquoise {
    color: black;
    background-color: #89ffea !important;
    width: 90%;
    max-width: 200px;
    text-align: center;
}

.carousel {
    width: 80%;
}

@media (max-width: 768px) {
    .carousel {
        width: 100%;
    }
}

.carousel-img-wrapper {
    position: relative;
}

.carousel-btn {
    position: absolute;
    bottom: 20px;
    right: 150px;
    opacity: 0.85;
}

.carousel-item-next,
.carousel-item-next,
.carousel-item.active {
    transition: transform 1.2s ease;
}

.btn-black {
    color: #89ffea;
    background-color: #000 !important;
    width: 90%;
    max-width: 90%;
    text-align: center;
}

.btn-black:hover {
    color: white;
}

/* Nadpisanie tła pasków w tabeli */
.table-striped > tbody > tr:nth-of-type(odd) > * {
    --bs-table-bg-type: rgba(137, 255, 234, 0.2) !important;
}
